package main

import (
	"fmt"
	"os"
)

func printUsage() {
	fmt.Println("usage: helper <command> [<args>]")
	fmt.Println(" fetchBundle   Downloads and unpacks the compiler bundle if a new version is available")
	fmt.Println(" runOneSample   Evaluate one sample")
	fmt.Println(" runAllSamples   Evaluate all samples")
	fmt.Println(" runWithManualInput   Evaluate samples on manual input")
}

func main() {
	if len(os.Args) <= 1 {
		printUsage()
		return
	}

	switch os.Args[1] {
	case "fetchBundle":
		fetchBundle()
	case "runOneSample":
		runOneSample()
	case "runAllSamples":
		runAllSamples()
	case "runWithManualInput":
		runWithManualInput()
	default:
		fmt.Printf("%q is not valid command.\n", os.Args[1])
		os.Exit(2)
	}

}
