import * as vscode from "vscode";

export function toSortedKeys<T>(map: Map<string, T>): string[] {
	// Todo can I ignore the map value type in a better way
	return Array.from(map.keys()).sort();
}

export function executableFileEnding() {
	if (determinePlatform() === "windows-amd64") {
		return ".exe";
	} else {
		return "";
	}
}

export function determinePlatform() {
	// also look at process.arch
	switch (process.platform) {
		case "darwin":
			return "darwin-amd64";
		case "win32":
			return "windows-amd64";
		case "linux":
			return "linux-amd64";
		default:
			vscode.window.showErrorMessage(
				"You seem to be running on an unsupported platform"
			);
			throw new Error("You seem to be running on an unsupported platform");
	}
}
